lv.eparaksts.edoc

## Interface EDoc2BasicSignature

- All Superinterfaces:
    EDoc2Signature, Validatable

      public interface EDoc2BasicSignature
      extends EDoc2Signature

  An `EDoc2BasicSignature` interface represents access methods to BASIC profile signature functionality
  See Also:
    `SignatureProfile`, `EDoc2Signature.getProfile()`

- - ### Field Summary

    - ### Fields inherited from interface lv.eparaksts.edoc.EDoc2Signature

      `KEY_SIGNATURE_METHOD_URI, SIGNATURE_METHOD_ECDSA_SHA256, SIGNATURE_METHOD_ECDSA_SHA384, SIGNATURE_METHOD_ECDSA_SHA512, SIGNATURE_METHOD_RSA_SHA1, SIGNATURE_METHOD_RSA_SHA224, SIGNATURE_METHOD_RSA_SHA256, SIGNATURE_METHOD_RSA_SHA384, SIGNATURE_METHOD_RSA_SHA512`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getSignableBytes()` Returns signable bytes.
    `void` | `setSignatureProductionPlace(SignatureProductionPlace signatureProductionPlace)` Sets claimed signature production location.
    `void` | `setSignatureValue(byte[] signatureValue)` Sets a signature value to the signature.
    `void` | `setSignerClaimedRoles(List<String> signerClaimedRoles)` Sets claimed signer roles for the signature.
    `void` | `setSigningCertificate(X509Certificate certificate)` Sets signing certificate for the signature.

    - ### Methods inherited from interface lv.eparaksts.edoc.EDoc2Signature

      `archivedSignature, basicSignature, complete, getArchiveTimestamps, getCertificateValues, getClaimedSigningTime, getCRLs, getId, getOCSPResponses, getProfile, getSignatureMethodAlgorithm, getSignatureProductionPlace, getSignatureTimestamps, getSignatureValue, getSignerClaimedRoles, getSigningCertificate, qualifiedSignature`

    - ### Methods inherited from interface lv.eparaksts.validation.Validatable

      `validate, validate`

- - ### Method Detail

    - #### setSigningCertificate

          void setSigningCertificate(X509Certificate certificate)
                              throws EDoc2Exception

      Sets signing certificate for the signature.
      Parameters:
        `certificate` - signing certificate.
      Throws:
        `EDoc2Exception`

    - #### setSignerClaimedRoles

          void setSignerClaimedRoles(List<String> signerClaimedRoles)
                              throws EDoc2Exception

      Sets claimed signer roles for the signature.
      Parameters:
        `signerClaimedRoles` - a list of claimed roles.
      Throws:
        `EDoc2Exception`

    - #### setSignatureProductionPlace

          void setSignatureProductionPlace(SignatureProductionPlace signatureProductionPlace)
                                    throws EDoc2Exception

      Sets claimed signature production location.
      Parameters:
        `signatureProductionPlace` -
      Throws:
        `EDoc2Exception`

    - #### getSignableBytes

          byte[] getSignableBytes()
                           throws EDoc2Exception

      Returns signable bytes. Signable bytes are RAW data to be signed using the current signature method algorithm. Signing certificate and signable bytes can be used to validate the signature value.
      Returns:
        signable data.
      Throws:
        `EDoc2Exception`
      See Also:
        `EDoc2Signature.getSignatureMethodAlgorithm()`

    - #### setSignatureValue

          void setSignatureValue(byte[] signatureValue)
                          throws EDoc2Exception

      Sets a signature value to the signature. Signature value can be calculated from signable bytes and signing certificate
      Parameters:
        `signatureValue` - signature value
      Throws:
        `EDoc2Exception`

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO